import { SurgeryRoom } from "entity";
import { SelectQueryBuilder } from "typeorm";
import CommonHelper from "../helpers/common";
import { OrmHelper } from "../helpers/orm";

export class SurgeryRoomModel {
	static async list(filter = {}): Promise<SelectQueryBuilder<any>> {
		const repo = OrmHelper.DB.getRepository(SurgeryRoom);
		let whereAttr = [];
		let whereVal: any = {};
		if (filter) {
			whereAttr = [...whereAttr, ...CommonHelper.handleQueryFilter(filter).whereAttr];
			whereVal = {
				...whereVal,
				...CommonHelper.handleQueryFilter(filter).whereVal,
			};
		}

		var query = null;
		query = repo.createQueryBuilder();
		if (whereAttr.length != 0) {
			query = query.where(whereAttr.join(" and "), whereVal);
		}

		return query;
	}
}
